Ticket #1459 (closed feature: fixed)

Opened 5 years ago

Last modified 3 years ago

Update legacy layer to fix some plugin incompatibilities [analysis]

Reported by: bdezonia Owned by: bdezonia
Priority: major Milestone: imagej2-b8-analysis
Component: Legacy Compatibility Version:
Severity: serious Keywords:
Cc: Blocked By: #869, #929, #1280, #1312, #1479, #1836, #1873, #1876, #1889
Blocking:

Description (last modified by bdezonia) (diff)

There are a class of plugins that require new implementations in IJ2. But there is another class of IJ1 plugin where it does not yet work correctly but through changes to the legacy layer the incompatibility could be addressed. Fix such broken commands when possible.

Change History

comment:1 Changed 5 years ago by bdezonia

  • Blocked By 799 added

comment:2 Changed 5 years ago by bdezonia

  • Blocked By 869 added

comment:3 Changed 5 years ago by bdezonia

  • Blocked By 929 added

comment:4 Changed 5 years ago by bdezonia

  • Blocked By 1280 added

comment:5 Changed 5 years ago by bdezonia

  • Blocked By 1296 added

comment:6 Changed 5 years ago by bdezonia

  • Blocked By 1312 added

comment:7 Changed 5 years ago by bdezonia

  • Blocked By 1404 added

comment:8 Changed 5 years ago by bdezonia

  • Description modified (diff)

comment:9 Changed 5 years ago by bdezonia

  • Blocked By 1478 added

comment:10 Changed 5 years ago by bdezonia

  • Blocked By 1479 added

comment:11 Changed 5 years ago by bdezonia

  • Blocked By 1478 removed

comment:12 Changed 5 years ago by curtis

  • Summary changed from Update legacy layer to fix some plugin incompatibilities (2.0.0-beta5) to Update legacy layer to fix some plugin incompatibilities (2.0.0-beta6)

comment:13 Changed 5 years ago by bdezonia

  • Summary changed from Update legacy layer to fix some plugin incompatibilities (2.0.0-beta6) to Update legacy layer to fix some plugin incompatibilities (2.0.0-beta7)

comment:14 Changed 5 years ago by bdezonia

  • Blocked By 1296 removed

comment:15 Changed 5 years ago by curtis

  • Summary changed from Update legacy layer to fix some plugin incompatibilities (2.0.0-beta7) to Update legacy layer to fix some plugin incompatibilities [ndim-data]

comment:16 Changed 5 years ago by bdezonia

  • Blocked By 1404 removed

comment:17 Changed 5 years ago by bdezonia

  • Blocked By 1604 added

comment:18 Changed 5 years ago by bdezonia

  • Blocked By 1604 removed

comment:19 Changed 5 years ago by bdezonia

  • Milestone changed from imagej2-b7-ndim-data to imagej2-b8-analysis

comment:20 Changed 4 years ago by bdezonia

  • Blocked By 1585 added

comment:21 Changed 4 years ago by bdezonia

  • Blocked By 1585 removed

comment:22 Changed 4 years ago by bdezonia

  • Blocked By 1836 added

comment:23 Changed 4 years ago by bdezonia

  • Blocked By 1873 added

comment:24 Changed 4 years ago by bdezonia

  • Blocked By 1889 added

comment:25 Changed 4 years ago by bdezonia

  • Blocked By 799 removed

(In #799) The code around this has changed such that this error cannot be replicated. Closiing.

comment:26 Changed 4 years ago by bdezonia

  • Summary changed from Update legacy layer to fix some plugin incompatibilities [ndim-data] to Update legacy layer to fix some plugin incompatibilities [analysis]

comment:27 Changed 4 years ago by bdezonia

  • Blocked By 1876 added

comment:28 Changed 3 years ago by curtis

  • Status changed from new to closed
  • Resolution set to fixed

All constituent tickets resolved or moved.

Note: See TracTickets for help on using tickets.